export default {
  methods: {
    backTrackingResolver(gen, active) {
      const models = this.generation.activeModels.find(item => item.generation == gen)?.models || []
      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId) || {}
        const disenrollAll = Math.abs(models.sum(m => m.groupIndicator))
        item.groupIndicator = currentGroup.groupIndicator
        item.supplyBestIndicator = currentGroup.bestInIndicator || '-'
        item.supplyRankInBest = currentGroup.rankInBest ? `${currentGroup.rankInBest}/${currentGroup.bestInIndicator}` : '-'
        item.supplyRankInDisenroll = currentGroup.rankInDisenroll ? `${currentGroup.rankInDisenroll}/${disenrollAll}` : '-'
        item.recommendRank = currentGroup.rankInIndicator ? `${currentGroup.rankInIndicator}/${currentGroup.groupIndicator}` : '-'

      })
      return {
        groupIndicator: {
          label: '补录计划'
        },
        supplyRankInDisenroll: {
          label: '补录人数总排名'
        },
        supplyBestIndicator: {
          label: '补录组合成绩最优人数'
        },
        supplyRankInBest: {
          label: '补录组合成绩最优排名'
        },
        recommendRank: {
          label: '补录最优推荐录取排名'
        },
      }
    }
  }
}
