export default {
  methods: {
    finalAdjustResolver(gen, active) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId) || {}
        const disenrollAll = Math.abs(models.sum(m => m.groupIndicator))
        item.towGroupIndicator = currentGroup.groupIndicator
        item.towSupplyBestIndicator = currentGroup.bestInIndicator || '-'
        item.towSupplyRankInBest = currentGroup.rankInBest ? `${currentGroup.rankInBest}/${currentGroup.bestInIndicator}` : '-'
        item.towSupplyRankInDisenroll = currentGroup.rankInDisenroll ? `${currentGroup.rankInDisenroll}/${disenrollAll}` : '-'
        item.towRecommendRank = currentGroup.rankInIndicator ? `${currentGroup.rankInIndicator}/${currentGroup.groupIndicator}` : '-'

      })
      return {
        towGroupIndicator: {
          label: '二次补录计划'
        },
        towSupplyRankInDisenroll: {
          label: '二次补录人数总排名'
        },
        towSupplyBestIndicator: {
          label: '二次补录组合成绩最优人数'
        },
        towSupplyRankInBest: {
          label: '二次补录组合成绩最优排名'
        },
        towRecommendRank: {
          label: '二次补录最优推荐录取排名'
        }
      }
    }
  }
}
